org.apache.lucene.queries.function.valuesource

## Class MinFloatFunction

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.MultiFloatFunction
    - - org.apache.lucene.queries.function.valuesource.MinFloatFunction

-     public class MinFloatFunction
      extends MultiFloatFunction

  `MinFloatFunction` returns the min of it's components.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.queries.function.valuesource.MultiFloatFunction

      `sources`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MinFloatFunction(ValueSource[] sources)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected float` | `func(int doc, FunctionValues[] valsArr)`
    `protected String` | `name()`

    - ### Methods inherited from class org.apache.lucene.queries.function.valuesource.MultiFloatFunction

      `createWeight, description, equals, getValues, hashCode`

    - ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

      `getSortField, newContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MinFloatFunction

          public MinFloatFunction(ValueSource[] sources)

  - ### Method Detail

    - #### name

          protected String name()

      Specified by:
        `name` in class `MultiFloatFunction`

    - #### func

          protected float func(int doc,
                   FunctionValues[] valsArr)

      Specified by:
        `func` in class `MultiFloatFunction`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.